org.eclnt.jsfserver.elements.componentnodes

## Class OUTLOOKBARCONTENTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.OUTLOOKBARCONTENTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class OUTLOOKBARCONTENTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OUTLOOKBARCONTENTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OUTLOOKBARCONTENTNode` | `bindActionListener(IActionListenerDelegation value)`
    `OUTLOOKBARCONTENTNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindBackground(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindBorder(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindClientname(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindComment(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindCurtaincolor(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindPadding(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindRounding(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindRowdistance(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `OUTLOOKBARCONTENTNode` | `setActionListener(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setAdapterbinding(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setAttributemacro(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setBackground(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setBgpaint(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setBorder(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setClientname(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setComment(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setComponentbinding(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setConfiginfo(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setCurtaincolor(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setFlusharea(boolean value)`
    `OUTLOOKBARCONTENTNode` | `setFlusharea(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setFxstyleseq(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setHelpid(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setId(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setPadding(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setPopupmenu(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setReference(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setRendered(boolean value)`
    `OUTLOOKBARCONTENTNode` | `setRendered(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setRounding(int value)`
    `OUTLOOKBARCONTENTNode` | `setRounding(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setRowdistance(int value)`
    `OUTLOOKBARCONTENTNode` | `setRowdistance(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setStyleseq(java.lang.String value)`
    `OUTLOOKBARCONTENTNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OUTLOOKBARCONTENTNode

          public OUTLOOKBARCONTENTNode()

  - ### Method Detail

    - #### setId

          public OUTLOOKBARCONTENTNode setId(java.lang.String value)

    - #### setActionListener

          public OUTLOOKBARCONTENTNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public OUTLOOKBARCONTENTNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public OUTLOOKBARCONTENTNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public OUTLOOKBARCONTENTNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public OUTLOOKBARCONTENTNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public OUTLOOKBARCONTENTNode setBackground(java.lang.String value)

    - #### bindBackground

          public OUTLOOKBARCONTENTNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public OUTLOOKBARCONTENTNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public OUTLOOKBARCONTENTNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public OUTLOOKBARCONTENTNode setBorder(java.lang.String value)

    - #### bindBorder

          public OUTLOOKBARCONTENTNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public OUTLOOKBARCONTENTNode setClientname(java.lang.String value)

    - #### bindClientname

          public OUTLOOKBARCONTENTNode bindClientname(IDynamicContentBindingObject value)

    - #### setComment

          public OUTLOOKBARCONTENTNode setComment(java.lang.String value)

    - #### bindComment

          public OUTLOOKBARCONTENTNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public OUTLOOKBARCONTENTNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public OUTLOOKBARCONTENTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public OUTLOOKBARCONTENTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCurtaincolor

          public OUTLOOKBARCONTENTNode setCurtaincolor(java.lang.String value)

    - #### bindCurtaincolor

          public OUTLOOKBARCONTENTNode bindCurtaincolor(IDynamicContentBindingObject value)

    - #### setFlusharea

          public OUTLOOKBARCONTENTNode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public OUTLOOKBARCONTENTNode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public OUTLOOKBARCONTENTNode setFlusharea(boolean value)

    - #### setFxstyleseq

          public OUTLOOKBARCONTENTNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public OUTLOOKBARCONTENTNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHelpid

          public OUTLOOKBARCONTENTNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public OUTLOOKBARCONTENTNode bindHelpid(IDynamicContentBindingObject value)

    - #### setPadding

          public OUTLOOKBARCONTENTNode setPadding(java.lang.String value)

    - #### bindPadding

          public OUTLOOKBARCONTENTNode bindPadding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public OUTLOOKBARCONTENTNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public OUTLOOKBARCONTENTNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public OUTLOOKBARCONTENTNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public OUTLOOKBARCONTENTNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public OUTLOOKBARCONTENTNode setReference(java.lang.String value)

    - #### setRendered

          public OUTLOOKBARCONTENTNode setRendered(java.lang.String value)

    - #### bindRendered

          public OUTLOOKBARCONTENTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public OUTLOOKBARCONTENTNode setRendered(boolean value)

    - #### setRounding

          public OUTLOOKBARCONTENTNode setRounding(java.lang.String value)

    - #### bindRounding

          public OUTLOOKBARCONTENTNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public OUTLOOKBARCONTENTNode setRounding(int value)

    - #### setRowdistance

          public OUTLOOKBARCONTENTNode setRowdistance(java.lang.String value)

    - #### bindRowdistance

          public OUTLOOKBARCONTENTNode bindRowdistance(IDynamicContentBindingObject value)

    - #### setRowdistance

          public OUTLOOKBARCONTENTNode setRowdistance(int value)

    - #### setStyleseq

          public OUTLOOKBARCONTENTNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public OUTLOOKBARCONTENTNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public OUTLOOKBARCONTENTNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public OUTLOOKBARCONTENTNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.